List store extensions for a tenant extension
List store extensions for a tenant extension
Required permissions: EXTENSION
get/tenants/{tenantUid}/extensions/{tenantExtensionUid}/stores
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+tenantExtensionUidstringRequiredPattern:
Reference to a tenant extension.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
tenantExtensionActiveQuerybooleanOptional
filter on active status for a store extension.
tenantExtensionStoreNameQuerystringOptional
filter on store name for a store extension
Responses
200
Example response
application/json
get/tenants/{tenantUid}/extensions/{tenantExtensionUid}/stores
GET /v2/tenants/{tenantUid}/extensions/{tenantExtensionUid}/stores HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"storeExtensionUid": "text",
"active": true,
"storeUid": "text",
"storeName": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

